"""empty message

Revision ID: 97839a912a03
Revises: 7307707dc335
Create Date: 2018-04-05 14:33:47.471504

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '97839a912a03'
down_revision = '7307707dc335'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('services')
    op.drop_table('ab_role')
    op.drop_table('ab_user')
    op.drop_table('ab_permission_view_role')
    op.drop_table('ab_view_menu')
    op.drop_table('ab_permission_view')
    op.drop_table('ab_permission')
    op.drop_table('ab_register_user')
    op.drop_table('ab_user_role')
    op.drop_table('clients')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('clients',
    sa.Column('created_on', sa.DATETIME(), nullable=False),
    sa.Column('changed_on', sa.DATETIME(), nullable=False),
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=255), nullable=False),
    sa.Column('ip_address', sa.VARCHAR(length=255), nullable=True),
    sa.Column('cpu_load', sa.FLOAT(), nullable=True),
    sa.Column('harddisk_load', sa.FLOAT(), nullable=True),
    sa.Column('memory_load', sa.FLOAT(), nullable=True),
    sa.Column('created_by_fk', sa.INTEGER(), nullable=False),
    sa.Column('changed_by_fk', sa.INTEGER(), nullable=False),
    sa.ForeignKeyConstraint(['changed_by_fk'], ['ab_user.id'], ),
    sa.ForeignKeyConstraint(['created_by_fk'], ['ab_user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('ab_user_role',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('user_id', sa.INTEGER(), nullable=True),
    sa.Column('role_id', sa.INTEGER(), nullable=True),
    sa.ForeignKeyConstraint(['role_id'], ['ab_role.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['ab_user.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'role_id')
    )
    op.create_table('ab_register_user',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('first_name', sa.VARCHAR(length=64), nullable=False),
    sa.Column('last_name', sa.VARCHAR(length=64), nullable=False),
    sa.Column('username', sa.VARCHAR(length=64), nullable=False),
    sa.Column('password', sa.VARCHAR(length=256), nullable=True),
    sa.Column('email', sa.VARCHAR(length=64), nullable=False),
    sa.Column('registration_date', sa.DATETIME(), nullable=True),
    sa.Column('registration_hash', sa.VARCHAR(length=256), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('username')
    )
    op.create_table('ab_permission',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=100), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('ab_permission_view',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('permission_id', sa.INTEGER(), nullable=True),
    sa.Column('view_menu_id', sa.INTEGER(), nullable=True),
    sa.ForeignKeyConstraint(['permission_id'], ['ab_permission.id'], ),
    sa.ForeignKeyConstraint(['view_menu_id'], ['ab_view_menu.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('permission_id', 'view_menu_id')
    )
    op.create_table('ab_view_menu',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=100), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('ab_permission_view_role',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('permission_view_id', sa.INTEGER(), nullable=True),
    sa.Column('role_id', sa.INTEGER(), nullable=True),
    sa.ForeignKeyConstraint(['permission_view_id'], ['ab_permission_view.id'], ),
    sa.ForeignKeyConstraint(['role_id'], ['ab_role.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('permission_view_id', 'role_id')
    )
    op.create_table('ab_user',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('first_name', sa.VARCHAR(length=64), nullable=False),
    sa.Column('last_name', sa.VARCHAR(length=64), nullable=False),
    sa.Column('username', sa.VARCHAR(length=64), nullable=False),
    sa.Column('password', sa.VARCHAR(length=256), nullable=True),
    sa.Column('active', sa.BOOLEAN(), nullable=True),
    sa.Column('email', sa.VARCHAR(length=64), nullable=False),
    sa.Column('last_login', sa.DATETIME(), nullable=True),
    sa.Column('login_count', sa.INTEGER(), nullable=True),
    sa.Column('fail_login_count', sa.INTEGER(), nullable=True),
    sa.Column('created_on', sa.DATETIME(), nullable=True),
    sa.Column('changed_on', sa.DATETIME(), nullable=True),
    sa.Column('created_by_fk', sa.INTEGER(), nullable=True),
    sa.Column('changed_by_fk', sa.INTEGER(), nullable=True),
    sa.CheckConstraint('active IN (0, 1)'),
    sa.ForeignKeyConstraint(['changed_by_fk'], ['ab_user.id'], ),
    sa.ForeignKeyConstraint(['created_by_fk'], ['ab_user.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email'),
    sa.UniqueConstraint('username')
    )
    op.create_table('ab_role',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=64), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('services',
    sa.Column('created_on', sa.DATETIME(), nullable=False),
    sa.Column('changed_on', sa.DATETIME(), nullable=False),
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=80), nullable=False),
    sa.Column('running', sa.BOOLEAN(), nullable=True),
    sa.Column('host_id', sa.INTEGER(), nullable=False),
    sa.Column('created_by_fk', sa.INTEGER(), nullable=False),
    sa.Column('changed_by_fk', sa.INTEGER(), nullable=False),
    sa.CheckConstraint('running IN (0, 1)'),
    sa.ForeignKeyConstraint(['changed_by_fk'], ['ab_user.id'], ),
    sa.ForeignKeyConstraint(['created_by_fk'], ['ab_user.id'], ),
    sa.ForeignKeyConstraint(['host_id'], ['clients.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###
